Package org.apache.sling.caconfig.annotation

## Annotation Type Property

    @Target(METHOD)
    @Retention(RUNTIME)
    public @interface Property

Adds further metadata for properties of context-aware configuration annotation classes.

### Optional Element Summary

Optional Elements
`String` `description`
`String` `label`
`int` `order`
`String[]` `property`

### Element Detail

#### label

    String label

Returns:
  Label for the property (e.g. for configuration editor GUIs).

Default:
  ""

#### description

    String description

Returns:
  Description for the property (e.g. for configuration editor GUIs).

Default:
  ""

#### property

    String[] property

Returns:
  Further properties e.g. for configuration editor GUIs.

Default:
  {}

#### order

    int order

Returns:
  Number to control property order in configuration editor.

Default:
  0